package org.mvista.cdt.debug.gdbserver.core;

/*
 * (c) Copyright QNX Software System 2002.
 * All Rights Reserved.
 */


public interface IGDBServerMILaunchConfigurationConstants {
	/**
	 * Launch configuration attribute key. The value is the name of
	 * the Debuger associated with a C/C++ launch configuration.
	 */
	public static final String ATTR_DEBUG_NAME = GDBServerMIPlugin.getUniqueIdentifier() + ".DEBUG_NAME"; //$NON-NLS-1$

	/**
	 * Launch configuration attribute key. The value is a List (array of String) directories for solib-search-path
	 * the Debuger associated with a C/C++ launch configuration.
	 */
	public static final String ATTR_SOLIB_PATH = GDBServerMIPlugin.getUniqueIdentifier() + ".SOLIB_PATH"; //$NON-NLS-1$

	/**
	 * Launch configuration attribute key. Boolean value to set the auto-solib-add
	 * Debuger/gdb/MI property.
	 */
	public static final String ATTR_AUTO_SOLIB = GDBServerMIPlugin.getUniqueIdentifier() + ".AUTO_SOLIB"; //$NON-NLS-1$

	/**
	 * Launch configuration attribute key. The "remote target xxx" value.
	 */
	public static final String ATTR_REMOTE_TCP = GDBServerMIPlugin.getUniqueIdentifier() + ".REMOTE_TCP"; //$NON-NLS-1$
	public static final String ATTR_HOST = GDBServerMIPlugin.getUniqueIdentifier() + ".HOST"; //$NON-NLS-1$
	public static final String ATTR_PORT = GDBServerMIPlugin.getUniqueIdentifier() + ".PORT"; //$NON-NLS-1$
	public static final String ATTR_DEV = GDBServerMIPlugin.getUniqueIdentifier() + ".DEV"; //$NON-NLS-1$
}